﻿body {
	margin: 0;
	font-family: Calibri;
}

/* ---------------------------------- START DIVERSE ---------------------------------- */

.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Opera and Firefox */
}

/* width */
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1; 
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--cfg-primary, #2E7D32);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555; 
}


#darkScreen {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 2;
	background-color: #000000;
	opacity: 0.6;
}



.cbcontainer {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 4px;
    cursor: pointer;
    font-size: 16px;
    font-family: Calibri;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default checkbox */
    .cbcontainer input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
        display: none;
    }

/* Create a custom checkbox */
.checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #eee;
}

/* On mouse-over, add a grey background color */
.cbcontainer:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.cbcontainer input:checked ~ .checkmark {
    background-color: #2ea656;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.cbcontainer input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.cbcontainer .checkmark:after {
    left: 6px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}



.rbcontainer {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 4px;
    cursor: pointer;
    font-size: 16px;
    font-family: Calibri;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

    /* Hide the browser's default checkbox */
    .rbcontainer input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
        display: none;
    }

/* Create a custom checkbox */
.radiomark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: #eee;
    border-radius: 25px;
}

/* On mouse-over, add a grey background color */
.rbcontainer:hover input ~ .radiomark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.rbcontainer input:checked ~ .radiomark {
    background-color: #2ea656;
}

/* Create the checkmark/indicator (hidden when not checked) */
.radiomark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.rbcontainer input:checked ~ .radiomark:after {
    display: block;
}

/* Style the checkmark/indicator */
.rbcontainer .radiomark:after {
    left: 6px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.disableButton {
	opacity: 0.4;
}

.greenLink
{
	text-decoration: none; 
	color: #2ea656; 
	font-weight: bold;
}

.tooltip {
  position: relative;
  display: inline-block;
}

/* Tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  top: 100%;
  left: 50%;
  margin-left: -60px; /* Use half of the width (120/2 = 60), to center the tooltip */
  background-color: black;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
 
  /* Position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

/* ---------------------------------- END DIVERSE ---------------------------------- */

/* ---------------------------------- START LOADING PANEL ---------------------------------- */

.blackScreen {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 10;
	background-color: #000000;
	opacity: 0.6;
}

.Spinner
{
	position: fixed;
	top: calc(50% - 93px);
	left: calc(50% - 93px);
	width: 186px;
	height: 186px;
	z-index: 9;
	background-image: url('/Images/186_loading.gif');
	background-repeat: no-repeat;
}

/* ---------------------------------- END LOADING PANEL ---------------------------------- */

/* ---------------------------------- START BLOCK PANEL ---------------------------------- */

.blackScreen2 {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 12;
	background-color: #000000;
	opacity: 0.6;
}

.blockScreen
{
	position: fixed;
	top: calc(50% - 150px);
	left: calc(50% - 150px);
	width: 300px;
	height: 300px;
	z-index: 13;
	background-color: #ffffff;
	border: 1px solid #2ea656;
	border-radius: 10px;
	overflow: hidden;
}

/* ---------------------------------- END BLOCK PANEL ---------------------------------- */

/* ---------------------------------- START COOKIE PANEL ---------------------------------- */

.divCookieMessage
{
	position: fixed;
	left: 0px;
	top: 0px;
	width: calc(100% - 2px);
	z-index: 2;
	background-color: #e8ebed;
	border: 1px solid #2ea656;
	overflow: hidden;
}

.divCookieMessageLabel
{
	float: left;
	padding: 12px;
	width: calc(100% - 24px - 60px);
}

.divCookieMessageButton
{
	float: right;
	padding: 12px;
	width: 36px;
}

.btnCookieOK
{
	cursor: pointer;
	width: 34px;
	height: 26px;
	border: 1px solid #2ea656;
	border-radius: 5px;
	color: #ffffff;
	font-weight: bold;
	background-color: #2ea656;
}

/* ---------------------------------- END COOKIE PANEL ---------------------------------- */